#3229 closed defect (fixed)

Add index to all documents.

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: doc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Indexes currently do not work. Fix this adding them to all documents.

Add index entries where possible.

Change History (9)

comment:1 Changed on Nov 11, 2017 at 11:08:46 PM by Chris Johns

Status: assignedaccepted

comment:2 Changed on Nov 11, 2017 at 11:43:38 PM by Chris Johns <chrisj@…>

In 42d50d7/rtems-docs:

Add indexes to all documents.

Update #3229.

comment:3 Changed on Nov 12, 2017 at 2:57:42 AM by Chris Johns

I have noticed all the c-user guide has .. index:: labels after headings and they should be before the headings. They need to be moved to before to make clicking on an index work better. This needs to happen on all documents.

comment:4 Changed on Nov 12, 2017 at 3:35:39 AM by Chris Johns <chrisj@…>

In 6c56401/rtems-docs:

c-user: Fix index locations.

Update #3229.

comment:5 Changed on Nov 13, 2017 at 2:27:40 AM by Chris Johns <chrisj@…>

In 3384994/rtems-docs:

Clean up sphinx warnings.

  • Fix minor formatting issues.
  • Fix reference the gloassary TLS using ':term:'.
  • Make sure nothing is between an anchor and the heading where ':ref:' references the anchor. This meant moving all the recently added '.. index::' entries.

Update #3232.
Update #3229.

comment:6 Changed on Nov 14, 2017 at 10:04:30 PM by Chris Johns

The documentation README needs updating to explain the formatting I fixed in the last change in this ticket.

comment:8 Changed on Feb 5, 2018 at 9:48:28 AM by Sebastian Huber <sebastian.huber@…>

In 13debfb/rtems-docs:

c-user: Fix index directives

Update #3229.

comment:9 Changed on Oct 14, 2018 at 12:36:36 AM by Joel Sherrill

Resolution: fixed
Status: acceptedclosed

Fixed on review doc master.

Note: See TracTickets for help on using tickets.